package com.winhc.repal.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @description RepalRemindDefinition VO对象
 * @author Generator
 * @date 2022-04-08
 */
@Data
@Accessors(chain = true)
@ApiModel(value="RepalRemindDefinition VO对象", description="智能提醒定义表")
public class RepalRemindDefinitionVO {

    @ApiModelProperty(value = "")
    private Long id;

    @ApiModelProperty(value = "提醒类型,枚举(中文)：逾期提醒、评级提醒、财产线索、风险预警")
    private String remindType;

    @ApiModelProperty(value = "触发时机。1、逾期提醒：OVERDUE_WEEK(逾期前一周)、OVERDUED(已逾期)、OVERDUE_THREEMONTH(逾期三个月)、OVERDUE_HALFYEAR(逾期半年)、OVERDUE_YEAR(逾期1年)、OVERDUE_THREEYEAR(逾期3年) 2、评级提醒：A、B、C、D  3 4根据动态的数据来")
    private String opportunity;

    @ApiModelProperty(value = "账单状态，1进行中，2已逾期，3已收回")
    private Integer repalBillStatus;

    @ApiModelProperty(value = "账款阶段，1未起诉 2已起诉  3已申请执行 4终结本次执行")
    private Integer repalBillStage;

    @ApiModelProperty(value = "提醒文案")
    private String remindContent;

    @ApiModelProperty(value = "功能列表")
    private String functionList;


}
