package com.winhc.repal.service;

import com.winhc.common.model.base.VOPage;
import com.winhc.repal.cloud.dto.QueryESFinanceDynamicDTO;
import com.winhc.repal.cloud.dto.QueryV8DynamicDTO;
import com.winhc.repal.cloud.vo.FinanceDynamicVO;
import com.winhc.repal.cloud.vo.V8DynamicVO;

/**
 * @Description: CompanyService
 * @Author: xda
 * @Date: 2020/12/15  16:57
 */
public interface CompanyService {
    /**
     * 查询企业动态
     * @param dto
     * @return
     */
    VOPage<V8DynamicVO> queryDynamic(QueryV8DynamicDTO dto, Integer pageNum, Integer pageSize);

    /**
     * 分页查询财产动态
     * @param dto
     * @return
     */
    VOPage<FinanceDynamicVO> pageFinanceDynamic(QueryESFinanceDynamicDTO dto);
}
