package com.winhc.repal.repository;

import com.winhc.repal.entity.RepalRolePermission;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

import java.util.Set;

/**
 * @description RepalRolePermission Mapper 接口
 * @author Generator
 * @date 2022-04-13
 */
@Repository
public interface RepalRolePermissionMapper extends BaseMapper<RepalRolePermission> {


    /**
     * 获取用户所有的权限code集合
     * @param userId userId
     * @return java.util.Set<java.lang.String>
     * @author xda
     * @date 2022/4/28 17:45
     */
    Set<String> getUserPermissionCodeSet(Long userId);


}
